using System;
using System.Net;
using System.Net.Sockets;
using System.Text;

public class Server
{
	static public TcpListener CreateTcpListener(string ipaddr, string portnum)
	{
		IPAddress ip = IPAddress.Parse(ipaddr);
		int port = int.Parse(portnum);
		IPEndPoint endPoint = new IPEndPoint(ip, port);
		
		return new TcpListener(endPoint);
	}

	static public void Main(string[] args)
	{
		TcpListener server = null;
		TcpClient client = null;
		NetworkStream stream = null;
		
		try
		{
			IPAddress ip = IPAddress.Parse(args[0]);
			int port = int.Parse(args[1]);
			IPEndPoint endPoint = new IPEndPoint(ip, port);
		
			server = new TcpListener(endPoint);
			server.Start();

			Console.WriteLine("A szerver elindult!");
			
			bool l = false;
			while(!l)
			{
				if(server.Pending())
				{
					client = server.AcceptTcpClient();

					Console.WriteLine("Kliens kapcsoldott...");

					stream = client.GetStream();
					byte[] data = new byte[256];
					int length = stream.Read(data, 0, data.Length);

					Console.WriteLine("A kliens zenete: {0}",
						Encoding.ASCII.GetString(data, 0, length));
					
					data = Encoding.ASCII.GetBytes("Hello kliens!");
					stream.Write(data, 0, data.Length);
					
					l = true;
				}
				else
				{
					Console.WriteLine("Most valami mst csinlunk");
					System.Threading.Thread.Sleep(500);
				}
			}
		}
		catch(Exception e)
		{
			Console.WriteLine(e.Message);
		}
		finally
		{
			client.Close();
			server.Stop();
		}
	}
}