using System;
using System.Net;
using System.Net.Sockets;
using System.Text;
using System.IO;

class Program
{
	static public void Main(string[] args)
	{
		Socket client = null;
		
		try
		{
			client = new Socket(
				AddressFamily.InterNetwork, 
				SocketType.Stream, 
				ProtocolType.Tcp);
		
			IPEndPoint endPoint = new IPEndPoint(IPAddress.Parse(args[0]), int.Parse(args[1]));
			
			client.Connect(endPoint);
		
			byte[] data = new byte[256];
			data = Encoding.ASCII.GetBytes("Hello szerver!");
			
			client.Send(data, data.Length, SocketFlags.None);
			
			data = new byte[256];
			
			while(true)
			{
				if(client.Available > 0)
				{
					int length = client.Receive(data);
					
					Console.WriteLine("A szerver zenete: {0}", 
						Encoding.ASCII.GetString(data, 0, length));
					
					break;
				}
				else
				{
					Console.WriteLine("Vrunk a szerver vlaszra...");
					System.Threading.Thread.Sleep(200);
				}
			}
		}
		catch(Exception e)
		{
			Console.WriteLine(e.Message);
		}
		finally
		{
			client.Close();
		}
	}
}