using System;
using System.Net;
using System.Net.Sockets;
using System.Text;
using System.IO;
using System.Collections;

class Program
{
	static public void CommunicateWithClient(Socket client)
	{
		byte[] data = new byte[256];
		int length = client.Receive(data);
		
		Console.WriteLine("A kliens zenete: {0}", 
			Encoding.ASCII.GetString(data, 0, length));
	}
	
	static public void Main(string[] args)
	{
		Socket server = null;
		const int MAXCLIENT = 2;
		ArrayList clientList = new ArrayList();
		
		try
		{
			server = new Socket(
				AddressFamily.InterNetwork, 
				SocketType.Stream, 
				ProtocolType.Tcp);
		
			IPEndPoint endPoint = new IPEndPoint(
				IPAddress.Parse(args[0]), int.Parse(args[1]));
		
			server.Bind(endPoint);
			server.Listen(2);
		
			int i = 0;
			while(i < MAXCLIENT)
			{
				Socket client = server.Accept();
				clientList.Add(client);
				++i;
			}

			while(true)
			{
				ArrayList copyList = new ArrayList(clientList);
				Socket.Select(copyList, null, null, 1000);
				
				foreach(Socket client in clientList)
				{
					Program.CommunicateWithClient(client);
				}
			}
		}
		catch(Exception e)
		{
			Console.WriteLine(e.Message);
		}
		finally
		{
			
			foreach(Socket client in clientList)
			{
				client.Close();
			}
			
			server.Close();
		}
	}
}