using System;
using System.Collections;

public class Animal
{
   public Animal(string name)
   {
	   this.Name = name;
   }
   
   public string Name { get; private set; }
}

public class AnimalContainer : IEnumerable, IEnumerator
{
	private ArrayList container = new ArrayList();
	private int currPosition = -1;
   
	public AnimalContainer()
	{
	   container.Add(new Animal("Rex"));
	   container.Add(new Animal("Bunds"));
	   container.Add(new Animal("Parizer"));
	}
   
    /*IEnumerator members*/
	
	public bool MoveNext()
	{
		return (++currPosition < container.Count);
	}

	public object Current
	{
		get { return container[currPosition]; }
	}

	public void Reset()
	{
		currPosition = -1;
	}
	
	/*IEnumerable members*/
	
	public IEnumerator GetEnumerator()
	{
		return (IEnumerator)this;
	}
}


class Program
{
	static public void Main()
	{
		AnimalContainer ac = new AnimalContainer();
		
		foreach(Animal animal in ac)
		{
			Console.WriteLine(animal.Name);
		}
	}
}